All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.filters.tree
Class NotNode

    com.sas.dataselectors.filters.tree.NotNode

All Implemented Interfaces:
  FilterLogicBaseNodeInterface, NotNodeInterface, java.io.Serializable, java.lang.Cloneable, javax.swing.tree.MutableTreeNode, javax.swing.tree.TreeNode

    public class NotNode

implements NotNodeInterface

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.dataselectors.filters.AbstractFilterLogicBaseNode
`description, label, propertyChangeSupport`

Constructor Summary
`NotNode()`
`NotNode(NotNodeInterface source)` Does not copy the child reference at this time.
`NotNode(java.lang.Object userObject)`
`NotNode(java.lang.Object userObject, AbstractFilterLogicBaseNode child)`

Method Summary
`boolean` | `getAllowsChildren()` Returns true if the node allows children, false otherwise.
`int` | `getMaxChildren()` Returns the maximum number of child nodes allowed.
`boolean` | `isLeaf()` Returns true if the node is a leaf, false otherwise.
`java.lang.String` | `toString()`

Methods inherited from class com.sas.dataselectors.filters.AbstractFilterLogicBaseNode
`addPropertyChangeListener, clone, dispose, firePropertyChange, firePropertyChange, getChildLogicNodeAt, getFilterDescription, getFilterLabel, getIndex, getParentLogicNode, removePropertyChangeListener, setFilterDescription, setFilterLabel, setUserObject`

Methods inherited from interface com.sas.dataselectors.filters.FilterLogicBaseNodeInterface
`dispose, getChildLogicNodeAt, getFilterDescription, getFilterLabel, getParentLogicNode, getUserObject`

Constructor Detail

### NotNode

    public NotNode()

### NotNode

    public NotNode(java.lang.Object userObject)

Parameters:
  `userObject` -

### NotNode

    public NotNode(java.lang.Object userObject,
                   AbstractFilterLogicBaseNode child)

Parameters:
  `userObject` -
  `child` -

### NotNode

    public NotNode(NotNodeInterface source)

  Does not copy the child reference at this time.

  Parameters:
    `source` - the NotNode
  Throws:
    `java.lang.NullPointerException` - if source is null

Method Detail

### getMaxChildren

    public int getMaxChildren()

  Returns the maximum number of child nodes allowed.

  Specified by:
    `getMaxChildren` in interface `FilterLogicBaseNodeInterface`
  Overrides:
    `getMaxChildren` in class `AbstractFilterLogicBaseNode`
  Returns:
    1, Allows just one node to be negated

### getAllowsChildren

    public boolean getAllowsChildren()

  Returns true if the node allows children, false otherwise.

  Specified by:
    `getAllowsChildren` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `getAllowsChildren` in class `javax.swing.tree.DefaultMutableTreeNode`
  Returns:
    true, children will always be allowed for this type of node

### isLeaf

    public boolean isLeaf()

  Returns true if the node is a leaf, false otherwise.

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeNode`
  Overrides:
    `isLeaf` in class `javax.swing.tree.DefaultMutableTreeNode`
  Returns:
    false, this node should not be a leaf

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `javax.swing.tree.DefaultMutableTreeNode`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.